List API keys
import requests
url = "https://api.auriko.ai/v1/workspaces/{workspace_id}/api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.auriko.ai/v1/workspaces/{workspace_id}/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.auriko.ai/v1/workspaces/{workspace_id}/api-keys \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key_prefix": "<string>",
"profile": "inference",
"scopes": [
"<string>"
],
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"rate_limit_rpm": 123,
"expires_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"created_by_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"count": 123
}{
"error": {
"message": "API key is invalid.",
"type": "authentication_error",
"param": null,
"code": "invalid_api_key"
}
}API Keys
List API keys
Returns API keys for a workspace
GET
/
v1
/
workspaces
/
{workspace_id}
/
api-keys
List API keys
import requests
url = "https://api.auriko.ai/v1/workspaces/{workspace_id}/api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.auriko.ai/v1/workspaces/{workspace_id}/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.auriko.ai/v1/workspaces/{workspace_id}/api-keys \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key_prefix": "<string>",
"profile": "inference",
"scopes": [
"<string>"
],
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"rate_limit_rpm": 123,
"expires_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"created_by_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"count": 123
}{
"error": {
"message": "API key is invalid.",
"type": "authentication_error",
"param": null,
"code": "invalid_api_key"
}
}Excludes system-managed playground keys.
Requires
keys:read scope. Naturally idempotent.
All parameters, request/response schemas, and examples are auto-generated from the OpenAPI specification.Authorizations
API key authentication.
Keys start with ak_ prefix.
Example: Authorization: Bearer ak_live_xxxxxxxxxxxx
Path Parameters
Workspace identifier
Query Parameters
Include revoked keys in the response